Package ru.bitel.bgbilling.kernel.task.server.bean

# Class TaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData
ru.bitel.bgbilling.kernel.task.server.bean.TaskData

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class TaskData
    extends LightweightTaskData

Репрезентация задачи планировщика в БД. Содержит параметры запуска задачи, настраиваемые в клиенте, а также непосредственно экземпляр задачи.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

  `className, comment, day, dayOfWeek, hour, isPlugin, min, moduleId, moduleName, month, params, period, priority, status, taskStatus`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TaskData​(int month, int day, int hour, int dayOfWeek, long min)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `canWork​(java.util.Calendar time)` | возвращает, может ли отработать в это время
  `ru.bitel.bgbilling.kernel.task.server.TaskBase` | `getDependTask()` |
  `ru.bitel.bgbilling.kernel.task.server.TaskBase` | `getTask()` |
  `void` | `initTask​(java.util.Calendar time, Setup setup)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.common.bean.LightweightTaskData

  `getClassName, getComment, getDay, getDayOfWeek, getDependModuleId, getDependModuleName, getDependTaskClass, getDependTaskParams, getDependTaskTitle, getHour, getMin, getModuleId, getModuleName, getMonth, getParams, getPeriod, getPriority, getStatus, getTaskStatus, isPlugin, setClassName, setComment, setDay, setDayOfWeek, setDependModuleId, setDependModuleName, setDependTaskClass, setDependTaskParams, setDependTaskTitle, setHour, setMin, setModuleId, setModuleName, setMonth, setParams, setPeriod, setPlugin, setPriority, setStatus, setTaskStatus`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TaskData

    public TaskData​(int month, int day, int hour, int dayOfWeek, long min)

- ## Method Details

  - ### getTask

    public ru.bitel.bgbilling.kernel.task.server.TaskBase getTask()

  - ### getDependTask

    public ru.bitel.bgbilling.kernel.task.server.TaskBase getDependTask()

  - ### initTask

    public void initTask​(java.util.Calendar time, Setup setup)

  - ### canWork

    public boolean canWork​(java.util.Calendar time)
    возвращает, может ли отработать в это время
    Parameters:
      `time` - время (текущее)
    Returns:
      true - если всё подходит, надо выполнять.